FROM docker.io/library/archlinux

VOLUME /run/shared_sockets
VOLUME /opt
VOLUME /srv

EXPOSE 22

COPY id-dev.pub /root/.ssh/authorized_keys
COPY id-chroot.pub /root/.ssh/id-chroot.pub

RUN sed -i '/^NoExtract/d' /etc/pacman.conf && \
    pacman --noconfirm -Syu pacman-mirrorlist glibc git $(LANG=C pacman -Si base | sed -nr 's/^Depends[^:]*: *//;t ok;b;: ok;s/ +/\n/g;p;q' | grep -vxE 'bzip2|dhcpcd|gzip|licenses|linux|lvm2|mdadm|pciutils|reiserfsprogs|systemd-sysvcompat|texinfo|usbutils|xfsprogs') busybox openssh python etckeeper && \
    grep -om1 'Server.*' </etc/pacman.d/mirrorlist.pacnew >/etc/pacman.d/mirrorlist && \
    cat /root/.ssh/id-chroot.pub >>/root/.ssh/authorized_keys && \
    chown -R root:root /root/.ssh && \
    chmod 600 /root/.ssh/* && \
    chmod 700 /root/.ssh && \
    mkdir -p /etc/systemd/system/multi-user.target.wants && \
    ln -s /usr/lib/systemd/system/systemd-timesyncd.service /etc/systemd/system/multi-user.target.wants/ && \
    sed -i '/prohibit-password/s/.*/PermitRootLogin yes/' /etc/ssh/sshd_config && \
    ln -s /usr/lib/systemd/system/sshd.service /etc/systemd/system/multi-user.target.wants/

# for debug…
RUN pacman --noconfirm -S nmap vim

CMD [ "/sbin/init" ]
